﻿/**Begin D:\wks\db\PDM_UPGRADE\pdm1\SYS_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_OPEN_APIORDERBY', 'T_OPEN_APIORDERBY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_APIORDERBY_FK') CREATE INDEX IDX_OPEN_APIORDERBY_FK ON T_OPEN_APIORDERBY ( FID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_CUSTOM_SORT_L', 'T_OPENAPI_CUSTOM_SORT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_CUST_SORT_L_FID') CREATE INDEX IDX_T_OPEN_CUST_SORT_L_FID ON T_OPENAPI_CUSTOM_SORT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_CUSTOM_SORT', 'T_OPENAPI_CUSTOM_SORT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_CUST_SORT_FNUMBER') CREATE  CLUSTERED INDEX IDX_T_OPEN_CUST_SORT_FNUMBER ON T_OPENAPI_CUSTOM_SORT ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_OPEN_3RDAPPS_IPS', 'T_OPEN_3RDAPPS_IPS', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_3RD_IP_FID') CREATE  CLUSTERED INDEX IDX_T_OPEN_3RD_IP_FID ON T_OPEN_3RDAPPS_IPS ( FID );

 EXEC P_ALTERPK 'PK_T_OPEN_3RDAPPS_AGENCY', 'T_OPEN_3RDAPPS_AGENCY', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_APPS_AGENCY_USER_FID') CREATE  CLUSTERED INDEX INDEX_APPS_AGENCY_USER_FID ON T_OPEN_3RDAPPS_AGENCY ( FID );



/**End D:\wks\db\PDM_UPGRADE\pdm1\SYS_constraint.sql **/
