﻿/**Begin D:\PDM\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\SYS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_TEST_CASE') 
 CREATE TABLE T_OPENAPI_TEST_CASE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(150) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FPRIORITY VARCHAR(1) DEFAULT ' ' NOT NULL,
FPRESCRIPT VARCHAR(255) DEFAULT ' ',
FPRESCRIPT_TAG NCLOB,
FPOSSCRIPT VARCHAR(255) DEFAULT ' ',
FPOSSCRIPT_TAG NCLOB,
FBD_TEXT VARCHAR(255) DEFAULT ' ',
FBD_TEXT_TAG NCLOB,
FTIMEOUTCHECK CHAR(1) DEFAULT '0' NOT NULL,
FTIMELIMIT_BASIS VARCHAR(1) DEFAULT ' ' NOT NULL,
FTIMELIMIT BIGINT DEFAULT 0 NOT NULL,
FAPIID BIGINT DEFAULT 0 NOT NULL,
FCREATESTATUS VARCHAR(1) DEFAULT '0' NOT NULL,
FBD_TYPE VARCHAR(1) DEFAULT '2' NOT NULL,
FTESTRECORD VARCHAR(1) DEFAULT ' ' NOT NULL,
FTESTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_TEST_RECORD') 
 CREATE TABLE T_OPENAPI_TEST_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FTESTCASE BIGINT DEFAULT 0 NOT NULL,
FTESTRESULT VARCHAR(1) DEFAULT '0' NOT NULL,
FEXECUTIONTIME BIGINT DEFAULT 0 NOT NULL,
FTESTFAILREASON VARCHAR(2000) DEFAULT ' ',
FREQUESTPARAM VARCHAR(2000) DEFAULT ' ',
FRESPONSEPARAM VARCHAR(2000) DEFAULT ' ',
FAPIID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_TEST_CASE_L') 
 CREATE TABLE T_OPENAPI_TEST_CASE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_TEST_CASEGROUP') 
 CREATE TABLE T_OPENAPI_TEST_CASEGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_TEST_CASEGROUP_L') 
 CREATE TABLE T_OPENAPI_TEST_CASEGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_TEST_HD_ENTRY') 
 CREATE TABLE T_OPENAPI_TEST_HD_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHEADERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADERVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADERDES NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_TEST_QP_ENTRY') 
 CREATE TABLE T_OPENAPI_TEST_QP_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FURLPARAMKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FURLPARAMVALUE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FURLPARAMDES NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_TEST_BD_ENTRY') 
 CREATE TABLE T_OPENAPI_TEST_BD_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARAMKEY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARAMVALUE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARAMDES NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_TEST_HC_ENTRY') 
 CREATE TABLE T_OPENAPI_TEST_HC_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHTTPCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHTTPDES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISHTTPCODECHECK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_TEST_RB_ENTRY') 
 CREATE TABLE T_OPENAPI_TEST_RB_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FRESPKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMUSTCONTAIN CHAR(1) DEFAULT '0' NOT NULL,
FTYPECHECK CHAR(1) DEFAULT '0' NOT NULL,
FDATATYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTENTCHECK CHAR(1) DEFAULT '0' NOT NULL,
FCOMPARETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEX_RESULTS NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\SYS_table.sql **/
