﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUB_RES_APP_APPLY') 
 CREATE TABLE T_PUB_RES_APP_APPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(80) DEFAULT ' ' NOT NULL,
FPUBLICKEY VARCHAR(256) DEFAULT ' ' NOT NULL,
FACCESSTOKEN VARCHAR(256) DEFAULT ' ',
FTENANTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTENANTNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FINSTANCENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPLIER BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FTARGETURL VARCHAR(256) DEFAULT ' ' NOT NULL,
FAPPLYTIME DATETIME,
FTARGETACCOUNTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(256) DEFAULT ' ' NOT NULL,
FVERSION INT DEFAULT 1 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FTHIRDCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE CHAR(1) DEFAULT '1' NOT NULL,
FFILESERVER VARCHAR(256),
FAPPILERUSERNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUB_OPERATION_LOG') 
 CREATE TABLE T_PUB_OPERATION_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FCHECK_REPEAT_REQ')
 ALTER TABLE T_OPEN_APISERVICE ADD (FCHECK_REPEAT_REQ CHAR(1) DEFAULT '0' NOT NULL);