﻿/**Begin D:\PDM\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\SYS_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_OPENAPI_TEST_CASE', 'T_OPENAPI_TEST_CASE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPENAPI_TESTCASE_NUM') CREATE  CLUSTERED INDEX IDX_T_OPENAPI_TESTCASE_NUM ON T_OPENAPI_TEST_CASE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_OPENAPI_TEST_RECORD', 'T_OPENAPI_TEST_RECORD', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_TEST_RECORD_NO') CREATE INDEX IDX_T_OPEN_TEST_RECORD_NO ON T_OPENAPI_TEST_RECORD ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_TEST_RECORD_CSID') CREATE  CLUSTERED INDEX IDX_T_OPEN_TEST_RECORD_CSID ON T_OPENAPI_TEST_RECORD ( FTESTCASE );


 EXEC P_ALTERPK 'PK_T_OPENAPI_TEST_CASE_L', 'T_OPENAPI_TEST_CASE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPENAPI_TEST_CASE_L_FID') CREATE UNIQUE  CLUSTERED INDEX IDX_T_OPENAPI_TEST_CASE_L_FID ON T_OPENAPI_TEST_CASE_L ( FID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_TEST_CASEGROUP', 'T_OPENAPI_TEST_CASEGROUP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPENAPI_TCAGROUP_NUM') CREATE  CLUSTERED INDEX IDX_T_OPENAPI_TCAGROUP_NUM ON T_OPENAPI_TEST_CASEGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_OPENAPI_TEST_CASEGROUP_L', 'T_OPENAPI_TEST_CASEGROUP_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPENAPI_TEST_CASEGR_FID') CREATE  CLUSTERED INDEX IDX_T_OPENAPI_TEST_CASEGR_FID ON T_OPENAPI_TEST_CASEGROUP_L ( FID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_TEST_HD_ENTRY', 'T_OPENAPI_TEST_HD_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_TESTHEADER_ID') CREATE INDEX IDX_T_OPEN_TESTHEADER_ID ON T_OPENAPI_TEST_HD_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_TEST_QP_ENTRY', 'T_OPENAPI_TEST_QP_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_TESTQUERY_ID') CREATE INDEX IDX_T_OPEN_TESTQUERY_ID ON T_OPENAPI_TEST_QP_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_TEST_BD_ENTRY', 'T_OPENAPI_TEST_BD_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_TESTBD_ID') CREATE INDEX IDX_T_OPEN_TESTBD_ID ON T_OPENAPI_TEST_BD_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_TEST_HC_ENTRY', 'T_OPENAPI_TEST_HC_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_TESTHC_ID') CREATE INDEX IDX_T_OPEN_TESTHC_ID ON T_OPENAPI_TEST_HC_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_OPENAPI_TEST_RB_ENTRY', 'T_OPENAPI_TEST_RB_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_TESTRB_ID') CREATE INDEX IDX_T_OPEN_TESTRB_ID ON T_OPENAPI_TEST_RB_ENTRY ( FID );



/**End D:\PDM\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\SYS_constraint.sql **/
