DELETE FROM T_OPENAPI_STRATEGY_TYPE WHERE FID = 1651447550714079232;
INSERT INTO T_OPENAPI_STRATEGY_TYPE(FID,FTYPE,FMASTERID,FSTATUS,FDESC,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FGROUP,FCREATORID) VALUES (1651447550714079232,'1',1651447550714079232,'A','基于token的认证方式，客户端登录后，获取服务端返回的accesstoken，客户端携带accessToken访问苍穹OpenAPI服务。','1','AccessToken认证',{ts'2023-03-29  00:00:00'},13466739,'1',{ts'2023-04-10  00:00:00'},'AccessToken',13466739); 
DELETE FROM T_OPENAPI_STRATEGY_TYPE WHERE FID = 1651448506176529408;
INSERT INTO T_OPENAPI_STRATEGY_TYPE(FID,FTYPE,FMASTERID,FSTATUS,FDESC,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FGROUP,FCREATORID) VALUES (1651448506176529408,'1',1651448506176529408,'A','比基本认证更加安全的认证方式，使用摘要代替token, 通过SHA256算法对参数摘要，有效防止参数被恶意篡改。','2','摘要认证',{ts'2023-03-29  00:00:00'},13466739,'1',{ts'2023-04-10  00:00:00'},'Digest',13466739); 
DELETE FROM T_OPENAPI_STRATEGY_TYPE WHERE FID = 1651449012336747520;
INSERT INTO T_OPENAPI_STRATEGY_TYPE(FID,FTYPE,FMASTERID,FSTATUS,FDESC,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FGROUP,FCREATORID) VALUES (1651449012336747520,'1',1651449012336747520,'A','客户端请求苍穹OpenAPI服务时必须携带Json Web Token(JWT)。','3','JWT认证',{ts'2023-03-29  00:00:00'},13466739,'1',{ts'2023-04-10  00:00:00'},'JWT',13466739); 
DELETE FROM T_OPENAPI_STRATEGY_TYPE WHERE FID = 1651449551145428992;
INSERT INTO T_OPENAPI_STRATEGY_TYPE(FID,FTYPE,FMASTERID,FSTATUS,FDESC,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FGROUP,FCREATORID) VALUES (1651449551145428992,'1',1651449551145428992,'A','允许客户端程序在请求时提供固定口令形式的身份凭证进行登录验证，安全性低，适用于回调场景。','4','基本认证',{ts'2023-03-29  00:00:00'},13466739,'1',{ts'2023-04-10  00:00:00'},'Basic',13466739); 
DELETE FROM T_OPENAPI_STRATEGY_TYPE WHERE FID = 1651452780272968704;
INSERT INTO T_OPENAPI_STRATEGY_TYPE(FID,FTYPE,FMASTERID,FSTATUS,FDESC,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FGROUP,FCREATORID) VALUES (1651452780272968704,'1',1651452780272968704,'A','安全等级更高的认证模式，签认证包含认证和加密过程，只有配置了加密的API调用时才可选用签名认证。','5','签名认证',{ts'2023-03-29  00:00:00'},13466739,'1',{ts'2023-04-10  00:00:00'},'SignAuth',13466739); 
DELETE FROM T_OPENAPI_STRATEGY_TYPE WHERE FID = 1651455957240145920;
INSERT INTO T_OPENAPI_STRATEGY_TYPE(FID,FTYPE,FMASTERID,FSTATUS,FDESC,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FGROUP,FCREATORID) VALUES (1651455957240145920,'2',1651455957240145920,'A','使用AES算法对API传输过程中的数据进行加密，保障数据安全。','31','AES数据加密',{ts'2023-03-29  00:00:00'},13466739,'1',{ts'2023-04-10  00:00:00'},'Encrypt',13466739); 
DELETE FROM T_OPENAPI_STRATEGY_TYPE WHERE FID = 1651456486427091968;
INSERT INTO T_OPENAPI_STRATEGY_TYPE(FID,FTYPE,FMASTERID,FSTATUS,FDESC,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FGROUP,FCREATORID) VALUES (1651456486427091968,'2',1651456486427091968,'A','使用国密SM4算法对API传输过程中的数据进行加密，保障数据安全。','32','SM4数据加密',{ts'2023-03-29  00:00:00'},13466739,'1',{ts'2023-04-10  00:00:00'},'Encrypt',13466739); 
DELETE FROM T_OPENAPI_STRATEGY_TYPE WHERE FID = 1651453463273433088;
INSERT INTO T_OPENAPI_STRATEGY_TYPE(FID,FTYPE,FMASTERID,FSTATUS,FDESC,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FGROUP,FCREATORID) VALUES (1651453463273433088,'3',1651453463273433088,'A','只允许列表中自定义的IP地址段的白名单策略的服务调用，不允许黑名单策略的服务调用。','11','IP黑白名单',{ts'2023-03-29  00:00:00'},13466739,'1',{ts'2023-04-11  00:00:00'},'IPPOLICY',13466739); 


DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UXW0Z/XZGF';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651447550714079232,'35UXW0Z/XZGF','zh_CN','AccessToken认证'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UXW0Z/XZGG';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651447550714079232,'35UXW0Z/XZGG','zh_TW','AccessToken認證'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UY1/DJ9UHH';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651448506176529408,'35UY1/DJ9UHH','zh_CN','摘要认证'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UY1/DJ9UHI';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651448506176529408,'35UY1/DJ9UHI','zh_TW','摘要認證'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UY4P8KBB+K';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651449012336747520,'35UY4P8KBB+K','zh_CN','JWT认证'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UY4P8KBB+L';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651449012336747520,'35UY4P8KBB+L','zh_TW','JWT認證'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UY8MCFXRJ=';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651449551145428992,'35UY8MCFXRJ=','zh_CN','基本认证'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UY8MCFXRJA';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651449551145428992,'35UY8MCFXRJA','zh_TW','基本認證'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UYV51L0H97';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651452780272968704,'35UYV51L0H97','zh_CN','签名认证'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UYV51L0H98';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651452780272968704,'35UYV51L0H98','zh_TW','簽名認證'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UZF=YE8OEW';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651455957240145920,'35UZF=YE8OEW','zh_CN','AES数据加密'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UZF=YE8OEX';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651455957240145920,'35UZF=YE8OEX','zh_TW','AES數據加密'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UZJ5ANRXCX';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651456486427091968,'35UZJ5ANRXCX','zh_CN','SM4数据加密'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UZJ5ANRXCY';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651456486427091968,'35UZJ5ANRXCY','zh_TW','SM4數據加密'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UZ+45MFQ0T';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651453463273433088,'35UZ+45MFQ0T','zh_CN','IP黑白名单'); 
DELETE FROM t_openapi_strategy_type_l WHERE FPKID = '35UZ+45MFQ0U';
INSERT INTO t_openapi_strategy_type_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1651453463273433088,'35UZ+45MFQ0U','zh_TW','IP黑白名單'); 

